بكسل
GET https://mylink.le360agency.com/api/pixels/
curl --request GET \
--url 'https://mylink.le360agency.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| حدود | تفاصيل | وصف |
|---|---|---|
| search | خياري خيط | سلسلة البحث. |
| search_by | خياري خيط | ما المجال الذي تبحث عنه. القيم المسموح بها هي: name, pixel. |
| type | خياري خيط | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | خياري خيط | القيم المسموح بها: datetime, last_datetime |
| datetime_start | خياري خيط | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | خياري خيط | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | خياري خيط | ما المجال الذي سيتم ترتيب النتائج به. القيم المسموح بها هي: pixel_id, datetime, last_datetime, name. |
| order_type | خياري خيط | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | خياري عدد صحيح | رقم الصفحة التي تريد الحصول على النتائج منها. الإعدادات الافتراضية هي 1. |
| results_per_page | خياري عدد صحيح | كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الإعدادات الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-11 10:52:29",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://mylink.le360agency.com/api/pixels?page=1",
"last": "https://mylink.le360agency.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://mylink.le360agency.com/api/pixels?page=1"
}
}
GET https://mylink.le360agency.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-11 10:52:29",
}
}
POST https://mylink.le360agency.com/api/pixels
| حدود | تفاصيل | وصف |
|---|---|---|
| type | مطلوب خيط | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | مطلوب خيط | - |
| pixel | مطلوب خيط | - |
curl --request POST \
--url 'https://mylink.le360agency.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://mylink.le360agency.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://mylink.le360agency.com/api/pixels/{pixel_id}
| حدود | تفاصيل | وصف |
|---|---|---|
| type | خياري خيط | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | خياري خيط | - |
| pixel | خياري خيط | - |
curl --request POST \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://mylink.le360agency.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \